# Config

{% tabs %}
{% tab title="ESX" %}

````lua
```lua
AK4Y = {}

AK4Y.Framework = "newEsx" -- esx / newEsx | newEsx = export system | esx = triggerevent system
AK4Y.Mysql = "oxmysql" -- Check fxmanifest.lua when you change it! | ghmattimysql / oxmysql / mysql-async

AK4Y.OpenCommand = "diceMenu"

AK4Y.DiceOptions = {
    { optionId = 1, optionLabel = "1 Round", optionRound = 1 },
    { optionId = 2, optionLabel = "2 Round", optionRound = 2 },
    { optionId = 3, optionLabel = "3 Round", optionRound = 3 },
    { optionId = 4, optionLabel = "4 Round", optionRound = 4 },
    { optionId = 5, optionLabel = "5 Round", optionRound = 5 },
}

AK4Y.Translate = {
    plyWalkAway = "player walked away", 
    noNearby = "There's no one nearby",
    plyNotAvailable = "Player not available for betting",
    noMoneyOneSide = "One side has no money",
    ydntHvMoney = "You have no money to send an invitation",

}

AK4Y.Notify = function(text, typ, where)
    if where == "client" then 
        ESX.ShowNotification(text, typ)
    end
end
```
````

{% endtab %}

{% tab title="QBCore" %}

````lua
```lua
AK4Y = {}

AK4Y.Framework = "qb" -- qb / oldqb | qb = export system | oldqb = triggerevent system
AK4Y.Mysql = "oxmysql" -- Check fxmanifest.lua when you change it! | ghmattimysql / oxmysql / mysql-async

AK4Y.OpenCommandMenu = "diceMenu"

AK4Y.DiceOptions = {
    { optionId = 1, optionLabel = "1 Round", optionRound = 1 },
    { optionId = 2, optionLabel = "2 Round", optionRound = 2 },
    { optionId = 3, optionLabel = "3 Round", optionRound = 3 },
    { optionId = 4, optionLabel = "4 Round", optionRound = 4 },
    { optionId = 5, optionLabel = "5 Round", optionRound = 5 },
}

AK4Y.Translate = {
    plyWalkAway = "player walked away", 
    noNearby = "There's no one nearby",
    plyNotAvailable = "Player not available for betting",
    noMoneyOneSide = "One side has no money",
    ydntHvMoney = "You have no money to send an invitation",

}

AK4Y.Notify = function(text, typ, where)
    if where == "client" then 
        QBCore.Functions.Notify(text, typ)
    end
end
```
````

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ak4y.com/scripts/ak4y-dice/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
